## GnomeDbCanvasEntity

GnomeDbCanvasEntity — Draws a graphical representation of a GdaEntity object

## Synopsis

                        GnomeDbCanvasEntity;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasGroup
                               +----GnomeDbCanvasItem
                                     +----GnomeDbCanvasEntity

## Properties

      "entity"                   GdaEntity             : Read / Write
      "popup-menu-func"          gpointer              : Write
      "scale"                    gdouble               : Write
      "target"                   GdaQueryTarget        : Read / Write

## Description

This GnomeCanvasItem is self-destroyed when the referenced GdaEntity object is destroyed.

## Details

### GnomeDbCanvasEntity

    typedef struct _GnomeDbCanvasEntity GnomeDbCanvasEntity;

## Property Details

### The "`entity`" property

      "entity"                   GdaEntity             : Read / Write

### The "`popup-menu-func`" property

      "popup-menu-func"          gpointer              : Write

Function to create a popup menu on each GnomeDbCanvasEntity.

### The "`scale`" property

      "scale"                    gdouble               : Write

Allowed values: >= 0

Default value: 0

### The "`target`" property

      "target"                   GdaQueryTarget        : Read / Write